GET api/{axCompany}/customer/{axCustomerId}/UnitTasks/{unitId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
axCompany

string

Required

axCustomerId

string

Required

unitId

string

Required

Body Parameters

None.

Response Information

Resource Description

Collection of UnitTaskDto
NameDescriptionTypeAdditional information
UnitId

string

None.

ServiceOrderId

string

None.

Status

string

None.

CustomerNote

string

None.

ServiceStart

date

None.

ServiceEnd

date

None.

Created

date

None.

ServiceReportExist

boolean

None.

InspectionReportExist

boolean

None.

CustomerAccount

string

None.

InvoiceAccount

string

None.

DoorTypeId

string

None.

SerialId

string

None.

FMPSubId

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "UnitId": "sample string 1",
    "ServiceOrderId": "sample string 2",
    "Status": "sample string 3",
    "CustomerNote": "sample string 4",
    "ServiceStart": "2026-09-17T14:20:59.1303765+02:00",
    "ServiceEnd": "2026-09-17T14:20:59.1303765+02:00",
    "Created": "2026-09-17T14:20:59.1303765+02:00",
    "ServiceReportExist": true,
    "InspectionReportExist": true,
    "CustomerAccount": "sample string 10",
    "InvoiceAccount": "sample string 11",
    "DoorTypeId": "sample string 12",
    "SerialId": "sample string 13",
    "FMPSubId": 14
  },
  {
    "UnitId": "sample string 1",
    "ServiceOrderId": "sample string 2",
    "Status": "sample string 3",
    "CustomerNote": "sample string 4",
    "ServiceStart": "2026-09-17T14:20:59.1303765+02:00",
    "ServiceEnd": "2026-09-17T14:20:59.1303765+02:00",
    "Created": "2026-09-17T14:20:59.1303765+02:00",
    "ServiceReportExist": true,
    "InspectionReportExist": true,
    "CustomerAccount": "sample string 10",
    "InvoiceAccount": "sample string 11",
    "DoorTypeId": "sample string 12",
    "SerialId": "sample string 13",
    "FMPSubId": 14
  }
]

application/xml, text/xml

Sample:
<ArrayOfUnitTaskDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SalesPortal.Entities.Dtos.Customer">
  <UnitTaskDto>
    <Created>2026-09-17T14:20:59.1303765+02:00</Created>
    <CustomerAccount>sample string 10</CustomerAccount>
    <CustomerNote>sample string 4</CustomerNote>
    <DoorTypeId>sample string 12</DoorTypeId>
    <FMPSubId>14</FMPSubId>
    <InspectionReportExist>true</InspectionReportExist>
    <InvoiceAccount>sample string 11</InvoiceAccount>
    <SerialId>sample string 13</SerialId>
    <ServiceEnd>2026-09-17T14:20:59.1303765+02:00</ServiceEnd>
    <ServiceOrderId>sample string 2</ServiceOrderId>
    <ServiceReportExist>true</ServiceReportExist>
    <ServiceStart>2026-09-17T14:20:59.1303765+02:00</ServiceStart>
    <Status>sample string 3</Status>
    <UnitId>sample string 1</UnitId>
  </UnitTaskDto>
  <UnitTaskDto>
    <Created>2026-09-17T14:20:59.1303765+02:00</Created>
    <CustomerAccount>sample string 10</CustomerAccount>
    <CustomerNote>sample string 4</CustomerNote>
    <DoorTypeId>sample string 12</DoorTypeId>
    <FMPSubId>14</FMPSubId>
    <InspectionReportExist>true</InspectionReportExist>
    <InvoiceAccount>sample string 11</InvoiceAccount>
    <SerialId>sample string 13</SerialId>
    <ServiceEnd>2026-09-17T14:20:59.1303765+02:00</ServiceEnd>
    <ServiceOrderId>sample string 2</ServiceOrderId>
    <ServiceReportExist>true</ServiceReportExist>
    <ServiceStart>2026-09-17T14:20:59.1303765+02:00</ServiceStart>
    <Status>sample string 3</Status>
    <UnitId>sample string 1</UnitId>
  </UnitTaskDto>
</ArrayOfUnitTaskDto>